# v-button

The `v-button` component is used for all buttons in the application. It supports text buttons, text buttons with an icon, and icon buttons.

## Usage

Import `ButtonModule` from `@valtimo/user-interface` in the module which includes your component. Use `v-button` in your component template code:

#### **`sample.component.html`**

```angular2html
<v-button
    [disabled]="disabled"
    (clickEvent)="buttonClick()"
    mdiIcon="check"
    type="success"
>
    // The text displayed inside v-button is put inside the v-button html tags
    {{ 'success' | translate }}
</v-button>
```

## Inputs

| Property  | Type           | Required | Default     | Description                                                                                |
| --------- | -------------- | -------- | ----------- | ------------------------------------------------------------------------------------------ |
| `type`    | `ButtonType`\* | no       | `'primary'` | The type of the button displayed. Types with `icon` in the name will not display any text. |
| Paragraph | Text           |          |             |                                                                                            |

* `'primary'` | `'secondary'` | `'success'` | `'text'` | `'icon-danger'` | `'danger'` | `'icon-grey'` | `'icon-danger-small'` | `'icon-grey-small'`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.valtimo.nl/v12/nog-een-plek-geven/reference/user-interface/v-button.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
